/*
 * connector.h
 *
 *  Created on: Jul 31, 2024
 *      Author: colorbass
 */

#ifndef INC_CONNECTOR_H_
#define INC_CONNECTOR_H_

#include "main.h"

#include "charger_gbt.h"
#include "charger_control.h"


extern CONN_State_t connectorState;

void CONN_Init();
void CONN_Task();
void CONN_SetState(CONN_State_t state);
uint8_t CONN_CC_GetStateRaw();
uint8_t CONN_CC_GetState();
float CONN_CC_GetAdc();

#endif /* INC_CONNECTOR_H_ */
